Option Strict Off
Option Explicit On

Imports fatd_faturamento.BLL.Repositorio
Imports fatd_faturamento.ENTIDADE
Friend Class frmCadastroTransferencias
    Inherits System.Windows.Forms.Form

#Region "Propriedades"

    Private Sub frmManEndUc_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load

        Try

            vfrmNew = New frmPreencherEnderecos

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: frmManEndUc_Load" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdBusDes_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdBusDes.Click

        Try

            If vfrmNew Is Nothing Then
                vfrmNew = New frmPreencherEnderecos
            End If

            vfrmCodigo = "Des"
            vfrmNew.Show()
            vfrmNew.SetaPreencherEnde(Me, True)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmdBusDes_Click" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdBusOrg_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdBusOrg.Click

        Try

            If vfrmNew Is Nothing Then
                vfrmNew = New frmPreencherEnderecos
            End If

            vfrmCodigo = "Org"
            vfrmNew.Show()
            vfrmNew.SetaPreencherEnde(Me, True)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmdBusOrg_Click" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdFechar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdFechar.Click

        Try

            Me.Close()

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmdFechar_Click" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdProcessar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdProcessar.Click

        Dim vlist

        Dim objUCFaturamento As New entidadeUCFaturamento
        Dim repositorioUCFaturamento As New repositorioUCFaturamento

        Dim objConsum As New entidadeConsum
        Dim repositorioConsum As New repositorioConsum

        Try

            'Endereço da Unidade Consumidora
            lblInfo.Text = " Buscando os endereços das unidades consumidoras... "
            lblInfo.Refresh()

            objUCFaturamento.CODEND = txtCodOrg.Text

            vlist = repositorioUCFaturamento.SelectOthersTables(objUCFaturamento)

            For Each objUCFaturamentoFor As entidadeUCFaturamento In vlist

                BarraProgresso(Me.ProgressBar, Me.lblPerc, Me.lblInfo, 0, vlist.Count)


                If (String.IsNullOrEmpty(txtCodDes.Text)) Then
                    objUCFaturamento.CODEND_ENTREGA = ""
                Else
                    objUCFaturamento.CODEND_ENTREGA = txtCodDes.Text
                End If

                If (String.IsNullOrEmpty(txtUfDes.Text)) Then
                    objUCFaturamento.UF = ""
                Else
                    objUCFaturamento.UF = txtUfDes.Text
                End If

                If (String.IsNullOrEmpty(txtCepDes.Text)) Then
                    objUCFaturamento.CEP = ""
                Else
                    objUCFaturamento.CEP = txtCepDes.Text
                End If

                If (String.IsNullOrEmpty(txtCidDes.Text)) Then
                    objUCFaturamento.CIDADE = ""
                Else
                    objUCFaturamento.CIDADE = txtCidDes.Text
                End If

                If (String.IsNullOrEmpty(txtDisDes.Text)) Then
                    objUCFaturamento.DISTRITO = ""
                Else
                    objUCFaturamento.DISTRITO = txtDisDes.Text
                End If

                If (String.IsNullOrEmpty(txtBaiDes.Text)) Then
                    objUCFaturamento.BAIRRO = ""
                Else
                    objUCFaturamento.BAIRRO = txtBaiDes.Text
                End If

                If (String.IsNullOrEmpty(txtEndDes.Text)) Then
                    objUCFaturamento.END = ""
                Else
                    objUCFaturamento.END = txtEndDes.Text
                End If

                If (String.IsNullOrEmpty(Convert.ToString(objUCFaturamentoFor.CONS_ID))) Then
                    objUCFaturamento.CONS_ID = 0
                Else
                    objUCFaturamento.CONS_ID = objUCFaturamentoFor.CONS_ID
                End If

                If (String.IsNullOrEmpty(Convert.ToString(objUCFaturamentoFor.UNID_ID))) Then
                    objUCFaturamento.UNID_ID = 0
                Else
                    objUCFaturamento.UNID_ID = objUCFaturamentoFor.UNID_ID
                End If

                If (String.IsNullOrEmpty(objUCFaturamentoFor.ZONA)) Then
                    objUCFaturamento.ZONA = ""
                Else
                    objUCFaturamento.ZONA = objUCFaturamentoFor.ZONA
                End If

                If (String.IsNullOrEmpty(objUCFaturamentoFor.LIVRO)) Then
                    objUCFaturamento.LIVRO = ""
                Else
                    objUCFaturamento.LIVRO = objUCFaturamentoFor.LIVRO
                End If

                If (String.IsNullOrEmpty(objUCFaturamentoFor.CONTA)) Then
                    objUCFaturamento.CONTA = ""
                Else
                    objUCFaturamento.CONTA = objUCFaturamentoFor.CONTA
                End If


                repositorioUCFaturamento.Update(objUCFaturamento)

                BarraProgresso(Me.ProgressBar, Me.lblPerc, Me.lblInfo, 1, , " unidades consumidora")

            Next

            'Endereço de Entrega
            lblInfo.Text = " Buscando os endereços de entrega das unidades consumidoras... "
            lblInfo.Refresh()

            objUCFaturamento.CODEND_ENTREGA = txtCodOrg.Text

            vlist = repositorioUCFaturamento.SelectOthersTables_1(objUCFaturamento)

            For Each objUCFaturamentoFor As entidadeUCFaturamento In vlist

                BarraProgresso(Me.ProgressBar, Me.lblPerc, Me.lblInfo, 0, vlist.Count)


                If (String.IsNullOrEmpty(txtCodDes.Text)) Then
                    objUCFaturamento.CODEND = ""
                Else
                    objUCFaturamento.CODEND = txtCodDes.Text
                End If

                If (String.IsNullOrEmpty(txtUfDes.Text)) Then
                    objUCFaturamento.UF_ENTREGA = ""
                Else
                    objUCFaturamento.UF_ENTREGA = txtUfDes.Text
                End If

                If (String.IsNullOrEmpty(txtCepDes.Text)) Then
                    objUCFaturamento.CEP_ENTREGA = ""
                Else
                    objUCFaturamento.CEP_ENTREGA = txtCepDes.Text
                End If

                If (String.IsNullOrEmpty(txtCidDes.Text)) Then
                    objUCFaturamento.CID_ENTREGA = ""
                Else
                    objUCFaturamento.CID_ENTREGA = txtCidDes.Text
                End If

                If (String.IsNullOrEmpty(txtDisDes.Text)) Then
                    objUCFaturamento.DIS_ENTREGA = ""
                Else
                    objUCFaturamento.DIS_ENTREGA = txtDisDes.Text
                End If

                If (String.IsNullOrEmpty(txtBaiDes.Text)) Then
                    objUCFaturamento.BAI_ENTREGA = ""
                Else
                    objUCFaturamento.BAI_ENTREGA = txtBaiDes.Text
                End If

                If (String.IsNullOrEmpty(txtEndDes.Text)) Then
                    objUCFaturamento.END_ENTREGA = ""
                Else
                    objUCFaturamento.END_ENTREGA = txtEndDes.Text
                End If

                If (String.IsNullOrEmpty(Convert.ToString(objUCFaturamentoFor.CONS_ID))) Then
                    objUCFaturamento.CONS_ID = 0
                Else
                    objUCFaturamento.CONS_ID = objUCFaturamentoFor.CONS_ID
                End If

                If (String.IsNullOrEmpty(Convert.ToString(objUCFaturamentoFor.UNID_ID))) Then
                    objUCFaturamento.UNID_ID = 0
                Else
                    objUCFaturamento.UNID_ID = objUCFaturamentoFor.UNID_ID
                End If

                If (String.IsNullOrEmpty(objUCFaturamentoFor.ZONA)) Then
                    objUCFaturamento.ZONA = ""
                Else
                    objUCFaturamento.ZONA = objUCFaturamentoFor.ZONA
                End If

                If (String.IsNullOrEmpty(objUCFaturamentoFor.LIVRO)) Then
                    objUCFaturamento.LIVRO = ""
                Else
                    objUCFaturamento.LIVRO = objUCFaturamentoFor.LIVRO
                End If

                If (String.IsNullOrEmpty(objUCFaturamentoFor.CONTA)) Then
                    objUCFaturamento.CONTA = ""
                Else
                    objUCFaturamento.CONTA = objUCFaturamentoFor.CONTA
                End If

                repositorioUCFaturamento.Update_1(objUCFaturamento)

                BarraProgresso(Me.ProgressBar, Me.lblPerc, Me.lblInfo, 1, , " unidades consumidora")

            Next


            'Endereço do Consumidor
            lblInfo.Text = " Buscando os endereços dos consumidores... "
            lblInfo.Refresh()

            objConsum.CODEND = txtCodOrg.Text

            vlist = repositorioConsum.SelectOthersTables(objConsum)

            For Each objConsumFor As entidadeConsum In vlist

                BarraProgresso(Me.ProgressBar, Me.lblPerc, Me.lblInfo, 0, vlist.Count)

                If (String.IsNullOrEmpty(txtCodDes.Text)) Then
                    objConsum.CODEND = ""
                Else
                    objConsum.CODEND = txtCodDes.Text
                End If

                If (String.IsNullOrEmpty(txtUfDes.Text)) Then
                    objConsum.UF = ""
                Else
                    objConsum.UF = txtUfDes.Text
                End If

                If (String.IsNullOrEmpty(txtCepDes.Text)) Then
                    objConsum.CEP = ""
                Else
                    objConsum.CEP = txtCepDes.Text
                End If

                If (String.IsNullOrEmpty(txtCidDes.Text)) Then
                    objConsum.CIDADE = ""
                Else
                    objConsum.CIDADE = txtCidDes.Text
                End If

                If (String.IsNullOrEmpty(txtDisDes.Text)) Then
                    objConsum.DISTRITO = ""
                Else
                    objConsum.DISTRITO = txtDisDes.Text
                End If

                If (String.IsNullOrEmpty(txtBaiDes.Text)) Then
                    objConsum.BAIRRO = ""
                Else
                    objConsum.BAIRRO = txtBaiDes.Text
                End If

                If (String.IsNullOrEmpty(txtEndDes.Text)) Then
                    objConsum.END = ""
                Else
                    objConsum.END = txtEndDes.Text
                End If

                If (String.IsNullOrEmpty(txtCodOrg.Text)) Then
                    objConsum.COMPLEMENT = ""
                Else
                    objConsum.COMPLEMENT = txtCodOrg.Text
                End If

                If (String.IsNullOrEmpty(Convert.ToString(objConsumFor.CONSREG))) Then
                    objConsum.CONSREG = 0
                Else
                    objConsum.CONSREG = objConsumFor.CONSREG
                End If

                repositorioConsum.Update(objConsum)

                BarraProgresso(Me.ProgressBar, Me.lblPerc, Me.lblInfo, 1, , " consumidores")

            Next

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmdProcessar_Click" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub


#End Region

#Region "Métodos"

    Public Sub SetaCamposEndereco(ByVal astrUf As String, ByVal astrCidade As String, ByVal astrDistrito As String, ByVal astrBairro As String, ByVal astrEnd As String, ByVal astrCep As String, ByVal astrCodigo As String)

        Try

            vfrmNew.Close()

            If vfrmCodigo = "Org" Then
                Me.txtUfOrg.Text = astrUf
                Me.txtCepOrg.Text = astrCep
                Me.txtCodOrg.Text = astrCodigo
                Me.txtCidOrg.Text = astrCidade
                Me.txtDisOrg.Text = astrDistrito
                Me.txtBaiOrg.Text = astrBairro
                Me.txtEndOrg.Text = astrEnd
            Else
                Me.txtUfDes.Text = astrUf
                Me.txtCepDes.Text = astrCep
                Me.txtCodDes.Text = astrCodigo
                Me.txtCidDes.Text = astrCidade
                Me.txtDisDes.Text = astrDistrito
                Me.txtBaiDes.Text = astrBairro
                Me.txtEndDes.Text = astrEnd
            End If

            vfrmNew = Nothing
            vfrmOld = Nothing

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: SetaCamposEndereco" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

#End Region



End Class